// CommandLineHelper Sample Application
// ====================================
// License: Microsoft Permissive License (Ms-PL) v1.1
// Author: Rhy Mednick (http://www.rhyverse.net)
// Project Site: http://www.codeplex.com/CommandLineHelper

using System;
using System.Collections.Generic;
using System.Text;

namespace CommandLineHelper
{
    class Program
    {
        static void Main()
        {
            //create an object to store our command line parameters.
            CommandLineParameters commandLineParams = new CommandLineParameters();
            if (CommandLineHelper.Parse<CommandLineParameters>(ref commandLineParams))
            {
                //parameters parsed successfully, so list the values.
                Console.WriteLine("Command line parameters passed in:");
                Console.WriteLine("    StringExample - Value: {0}", commandLineParams.StringExample);
                Console.WriteLine("    FlagExample - Value: {0}", commandLineParams.FlagExample);
                Console.WriteLine("    IntExample - Value: {0}", commandLineParams.IntExample);
            }
            //wait for the enter key to be pressed before exiting
            Console.WriteLine("\nPress <enter> to exit.");
            Console.ReadLine();
        }
    }
}
